<?php
/**
 * mm_setDefaultTab
 * @version 0.0.1 (2017-03-14)
 * 
 * @desc Виджет для ManagerManager плагина, активирует вкладку - tabGeneral если нет активной вкладки.
 * 
 * @uses ManagerManager plugin 0.4.
 * @param $name {string} - Название вкладки по умолчанию. Default: 'tabGeneral'.
 * @param $roles {comma separated string} - The roles that the widget is applied to (when this parameter is empty then widget is applied to the all roles). Default: ''.
 * @param $templates {comma separated string} - Templates IDs for which the widget is applying (empty value means the widget is applying to all templates). Default: ''
 * 
 */

function mm_setDefaultTab($name, $roles = '', $templates = ''){
	global $modx;
	$e = &$modx->Event;
	
	//if the current page is being edited by someone in the list of roles, and uses a template in the list of templates
	if ($e->name == 'OnDocFormRender' && useThisRule($roles, $templates)){
		
		if(empty(trim($name))) { $name = 'tabGeneral'; }
		
		$output = "//---------- mm_setDefaultTab :: Begin -----\n";

		$output .= 'if (!$j("#documentPane h2.tab").hasClass("selected")) ';
		$output .= '{$j("#documentPane h2.tab").first().addClass("selected");';
		$output .= ' $j("#'.$name.'").css("display", "block"); }';
		
		$output .= "//---------- mm_setDefaultTab :: End -----\n";
		
		$e->output($output);
	}
}
?>